> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ledger accounts

> Get all ledger accounts



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/ledger-accounts
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/ledger-accounts:
    get:
      tags:
        - Ledger accounts
      summary: Get ledger accounts
      description: Get all ledger accounts
      operationId: get_ledger-accounts
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - description: >-
            Sort order (ascending by default). Typically used together with the
            `sort` parameter.
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/OrderEnum'
            default: asc
          name: order
          in: query
        - description: >-
            The number of items (0 .. 250) to return in a single page of the
            response. Default is 100. The response may contain fewer items if it
            is the last or only page. 


            When using pagination with a non-default `limit`, you must provide
            the `limit` value alongside `pagination_token` in all subsequent
            pagination requests. Unlike other query parameters, `limit` is not
            inferred from `pagination_token`.
          required: false
          schema:
            type: integer
            maximum: 250
            minimum: 1
            default: 250
          name: limit
          in: query
        - description: >-
            A pagination token obtained from a previous call to this endpoint.
            Use it to get the next or previous page of results for your initial
            query. If `pagination_token` is specified, all other query
            parameters except `limit` are ignored and inferred from the initial
            query.


            If not specified, the first page of results will be returned.
          required: false
          schema:
            type: string
          name: pagination_token
          in: query
        - description: >-
            The field to sort the results by. Typically used together with the
            `order` parameter.
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/LedgerAccountCursorFields'
          name: sort
          in: query
        - description: Filter by external/internal ledger accounts
          required: false
          schema:
            type: boolean
          name: is_external
          in: query
        - description: Filter by a list of ledger account IDs
          required: false
          schema:
            items:
              type: string
              format: uuid
            type: array
          name: id__in
          in: query
        - description: The ID of the entity that owns the requested resource.
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          name: x-organization-id
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LedgerAccountListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrderEnum:
      type: string
      enum:
        - asc
        - desc
    LedgerAccountCursorFields:
      type: string
      enum:
        - name
    LedgerAccountListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/LedgerAccountResponse'
          type: array
        next_pagination_token:
          type: string
        prev_pagination_token:
          type: string
      type: object
      required:
        - data
      description: A paginated list of ledger accounts.
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LedgerAccountResponse:
      properties:
        id:
          type: string
          format: uuid
          description: A unique identifier of the ledger account.
        created_at:
          type: string
          format: date-time
          description: The timestamp when the ledger account was created.
        updated_at:
          type: string
          format: date-time
          description: The timestamp when the ledger account was last updated.
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          description: >-
            The currency of the ledger account, specified as a three-letter
            [currency code](https://docs.monite.com/references/currencies) (ISO
            4217).
          example: USD
        current_balance:
          type: integer
          description: The current balance in the account.
        description:
          type: string
          description: User-defined description of the ledger account.
        is_bank_account:
          type: boolean
          description: Indicates whether this ledger account represents a bank account.
        is_external:
          type: boolean
          description: Whether the ledger account is from an external system
          default: false
        name:
          type: string
          description: >-
            A user-defined name of the ledger account. Examples: Accounts
            Receivable, Office Equipment, Advertising, Salaries.
          example: Accounts Receivable
        nominal_code:
          type: string
          description: The account code in the accounting system.
          example: '610'
        status:
          type: string
          description: >-
            The status of the ledger account. Possible values: Active, Archived,
            Pending, Unknown.
          example: Active
        subtype:
          type: string
          description: >-
            The subtype or category of the ledger account. Possible values vary
            based on the accounting system used. Examples: Current, Fixed,
            Expense, Inventory, Equity.
          example: Current
        type:
          type: string
          description: >-
            The type of the ledger account. It determines whether the account is
            a credit account or a debit account and where it appears in
            financial reports within the accounting system. Possible values:
            Asset, Equity, Expense, Income, Liability, Unknown.
          example: Asset
      type: object
      required:
        - id
        - created_at
        - updated_at
        - is_bank_account
        - status
        - type
      description: Represents a general ledger account retrieved from an accounting system.
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    CurrencyEnum:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SEK
        - SGD
        - SHP
        - SLE
        - SOS
        - SRD
        - SSP
        - SVC
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````